/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workperformance.entity;


import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workclientinfo.entity.WorkClientAttachment;

import java.util.List;

/**
 * 公司业绩库Entity
 * @author ssrh
 * @version 2018-08-20
 */
public class WorkPerformance extends DataEntity<WorkPerformance> {
	//附件 113
	private static final long serialVersionUID = 1L;
	private String companyId;		// 公司
	private String officeId;		// 部门
	private String num;		// 合同编号
	private String name;		// 项目名称
	private String client;		// 委托单位
	private String content;		// 服务内容
	private String type;		// 工程分类
	private String serviceDate;		// 服务起止时间
	private String contractPrice;		// 合同金额（元）
	private String investmentAmount;		// 投资额（万元）
	private String scaleQuantity;		// 建筑面积/规模
	private String linkman;		// 委托方联系人/电话
	private String contractSource;		// 合同来源
	private String officeName;		// 所属部门
	private String projectLeaders;		// 项目负责人
	private String record;		// 是否归档
	private String source;		// 数据来源(引用/导入)

	private List<WorkClientAttachment> workAttachments = Lists.newArrayList(); //附件
	public WorkPerformance() {
		super();
	}

	public WorkPerformance(String id){
		super(id);
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="合同编号", align=2, sort=9)
	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}
	
	@ExcelField(title="项目名称", align=2, sort=10)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="委托单位", align=2, sort=11)
	public String getClient() {
		return client;
	}

	public void setClient(String client) {
		this.client = client;
	}
	
	@ExcelField(title="服务内容", align=2, sort=12)
	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}
	
	@ExcelField(title="工程分类", align=2, sort=13)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="服务起止时间", align=2, sort=14)
	public String getServiceDate() {
		return serviceDate;
	}

	public void setServiceDate(String serviceDate) {
		this.serviceDate = serviceDate;
	}
	
	@ExcelField(title="合同金额（元）", align=2, sort=15)
	public String getContractPrice() {
		return contractPrice;
	}

	public void setContractPrice(String contractPrice) {
		this.contractPrice = contractPrice;
	}
	
	@ExcelField(title="投资额（万元）", align=2, sort=16)
	public String getInvestmentAmount() {
		return investmentAmount;
	}

	public void setInvestmentAmount(String investmentAmount) {
		this.investmentAmount = investmentAmount;
	}
	
	@ExcelField(title="建筑面积/规模", align=2, sort=17)
	public String getScaleQuantity() {
		return scaleQuantity;
	}

	public void setScaleQuantity(String scaleQuantity) {
		this.scaleQuantity = scaleQuantity;
	}
	
	@ExcelField(title="委托方联系人/电话", align=2, sort=18)
	public String getLinkman() {
		return linkman;
	}

	public void setLinkman(String linkman) {
		this.linkman = linkman;
	}
	
	@ExcelField(title="合同来源", align=2, sort=19)
	public String getContractSource() {
		return contractSource;
	}

	public void setContractSource(String contractSource) {
		this.contractSource = contractSource;
	}
	
	@ExcelField(title="所属部门", align=2, sort=20)
	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}
	
	@ExcelField(title="项目负责人", align=2, sort=21)
	public String getProjectLeaders() {
		return projectLeaders;
	}

	public void setProjectLeaders(String projectLeaders) {
		this.projectLeaders = projectLeaders;
	}
	
	@ExcelField(title="是否归档", align=2, sort=22)
	public String getRecord() {
		return record;
	}

	public void setRecord(String record) {
		this.record = record;
	}
	
	//@ExcelField(title="数据来源", align=2, sort=23)
	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public List<WorkClientAttachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<WorkClientAttachment> workAttachments) {
		this.workAttachments = workAttachments;
	}
}